#!/bin/sh
LOGFILE=/tmp/usb-events.log
exec 3>> $LOGFILE && exec >& 3 && exec 2>&1
date
echo $1, $2, $SUBSYSTEM, $ACTION  
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~

if [[ "$SUBSYSTEM" = "block" ]] && [[ "$ACTION" = "add" ]]
then
    mkdir -p /media/$1
    /./root/sbin/ntfs-3g /dev/$1 /media/$1 -o nls=utf8
    if [ $? -eq 0 ]
    then
        echo "1" > /etc/udev/format_$1
        echo USE ntfs-3g
    else
        mount -t ext4 /dev/$1 /media/$1
        if [ $? -eq 0 ]
        then
            echo "3" > /etc/udev/format_$1
            echo USE ext4
        else
            mount /dev/$1 /media/$1 -o iocharset=utf8
       	    if [ $? -eq 0 ]
            then 
                echo "0" > /etc/udev/format_$1
                echo USE fat
            else 
                echo $1 > /etc/udev/exfat.txt 
                PID=`pgrep "update_server"`
                kill -10 $PID
                /./root/sbin/mount.exfat-fuse /dev/$INPUT /media/$INPUT -o iocharset=utf8
                echo "2" > /etc/udev/format_$1
            fi 
        fi     
    fi
elif [[ "$SUBSYSTEM" = "block" ]] && [[ "$ACTION" = "remove" ]]
then
    umount /media/$1
    rm -r /media/$1
fi

exit $?
