#!/bin/sh
echo Setup NIC...
. /root/nic.sh

try_mount.sh /dev/mtdblock4 /root/config
try_mount.sh /dev/mtdblock5 /root/upgrade

cd /root/ko
./pinmux_vicap_i2c_i2s.sh
./load3531a -i -osmem 1024
insmod hi_rtc.ko

echo "Mount RAM disk..."
mkdir /tmp/ramdisk
chmod 1777 /tmp/ramdisk
mount -t tmpfs -o size=128M tmpfs /tmp/ramdisk

export QCAP_HOME=/root/qcap
export QT_HOME=/root/qt
export LD_LIBRARY_PATH=/root/lib:$QT_HOME/lib:$QCAP_HOME/lib
export QT_QPA_FONTDIR=$QT_HOME/lib/fonts
export QT_QPA_PLATFORM_PLUGIN_PATH=$QT_HOME/plugins/platforms
export QT_QPA_PLATFORM=linuxfb:fb=/dev/fb0
export LOGNAME=root
export QCAP_FILEMUXER_ASYNC_CLOSE=1
#export QCAP_LOG_LEVEL=0
export QCAP_USE_MMTIMER=0
#export QCAP_USE_ZZMP4=0

echo Timezone Setting...
source /root/etc/timezone.sh

cd /etc/ifplugd
ifplugd -i eth0 -a 
#ifplugd -i eth1 -a 

sleep 2

## After sleep 2 sec, it can load rtc without error
echo Load RTC...
/root/bin/get_rtc.sh
date

#check upgrade
if [ -e /root/tmp/sys_upgrade.sh ]                                          
then
   /root/tmp/sys_upgrade.sh
   sleep 1
#  /./root/bin/fw_setenv usb_update
fi

cd /root/bin
./hictl --daemon

sleep 2

df

echo > /tmp/usb-events.log

#./update_server &
echo Start Lighttp daemon...
/root/sbin/lighttpd -f /root/var/lighttpd.conf -m /root/lib &

sleep 1
for element in sda1 sdb1 sdc1
do
    echo $element
    
    if df | grep /media/$element 
    then
    echo "USB is mounted"   
    elif [ -e /dev/$element ]                                          
    then
        mkdir -p /media/$element
        /./root/sbin/ntfs-3g /dev/$element /media/$element -o rw,nls=utf8
        if [ $? -eq 0 ]
        then
            echo USE ntfs-3g
            echo "1" > /etc/udev/format_$element
        else
            mount -t ext4 /dev/$element /media/$element
            if [ $? -eq 0 ]
            then
                echo USE ext4
                echo "3" > /etc/udev/format_$element
            else
                mount /dev/$element /media/$element -o iocharset=utf8
                if [ $? -eq 0 ]
                then
                        echo USE fat
                        echo "0" > /etc/udev/format_$element
                else
                        sleep 5     
                        echo $element > /etc/udev/exfat.txt             
                        PID=`pgrep "update_server"`
                        kill -10 $PID
                        /./root/sbin/mount.exfat-fuse /dev/$element /media/$element -o iocharset=utf8
                        echo "2" > /etc/udev/format_$element
                fi
            fi                 
        fi
    else
        echo "device not found."
    fi       
done  
mkdir /mnt/flash/
 
ln -s /root/wifi /mnt/flash
       
sleep 3  

echo "Init White Light"
 /./root/bin/hictl --mcu_led 4 1 0 1 0 0 0 0 0
 usleep 10000
 /./root/bin/hictl --mcu_led 5 1 0 1 0 0 0 0 0
 usleep 10000
 /./root/bin/hictl --mcu_led 6 1 0 1 0 0 0 0 0
 usleep 10000
 /./root/bin/hictl --mcu_led 7 1 0 1 0 0 0 0 0
             

cp /root/var/www/run_bk.json /root/var/www/run.json

#AUDIO
/./root/audio.sh &


/./root/bin/hictl --mcu_set_fpga_volume 0 26
/./root/bin/hictl --mcu_set_fpga_volume 1 26
/./root/bin/hictl --mcu_set_fpga_volume 6 26
/./root/bin/hictl --mcu_set_fpga_volume 7 26
/./root/bin/hictl --mcu_set_fpga_volume 8 26
   


if [ -f /media/sda1/nvs35_fw_recovery_image.tar.gz ] || [ -f /media/sdb1/nvs35_fw_recovery_image.tar.gz ] || [ -f /media/sdc1/nvs35_fw_recovery_image.tar.gz ]
then

		if [ -f /root/hasupdate ]; 
		then		
			echo "Has Update --------"
			./sc6d0 &
		    	sleep 2
		    	./watchdog &    
		else

                	echo "USB UPDATE ----- ON"
                	if [ -f /media/sda1/nvs35_fw_recovery_image.tar.gz ]
                	then
                        	cp /media/sda1/nvs35_fw_recovery_image.tar.gz /tmp/ramdisk/
                        	echo "sda------------"
                	elif [ -f /media/sdb1/nvs35_fw_recovery_image.tar.gz ]
                	then
                        	cp /media/sdb1/nvs35_fw_recovery_image.tar.gz /tmp/ramdisk/
                        	echo "sdb ------------------"
                	elif [ -f /media/sdc1/nvs35_fw_recovery_image.tar.gz ]
                	then
                        	cp /media/sdc1/nvs35_fw_recovery_image.tar.gz /tmp/ramdisk/
                        	echo "sdc ----------------"
                	else
                        	echo "no sda sdb sdc"
                	fi
		
		
                	/./root/bin/hictl --mcu_led 4 16 0 8 0 0 0 0 0
                	/./root/bin/hictl --mcu_led 5 16 0 8 0 0 0 0 0
                	/./root/bin/hictl --mcu_led 6 16 0 8 0 0 0 0 0
                	/./root/bin/hictl --mcu_led 7 16 0 8 0 0 0 0 0
                	tar -xvf /tmp/ramdisk/nvs35_fw_recovery_image.tar.gz -C /root/
             	
			#check platform	
			/./root/bin/hictl --mcu_version | grep ldrom | awk '{print $5}' > /tmp/ramdisk/nvs35	
	
			val=`cat /tmp/ramdisk/nvs35`
			echo $val
		
		
			if [ $val == "[49(0x31)]" ];
			then
				echo "NEWWWWWWWWWWWWWW"					
				echo  > /root/tmp/nvs35_new
			else
				echo "OLDDDDDDDDDDDDDD"			
				echo  > /root/tmp/nvs35_old
			fi
			
			echo > /root/hasupdate	
			#/./root/bin/hictl --mcu_led 4 1 0 1 0 1 0 1 0
                	#/./root/bin/hictl --mcu_led 5 1 0 1 0 1 0 1 0
                	#/./root/bin/hictl --mcu_led 6 1 0 1 0 1 0 1 0
                	#/./root/bin/hictl --mcu_led 7 1 0 1 0 1 0 1 0
		
			sleep 2

			sync;sync;sync;
			echo "Reboot ... "
                	reboot -f;

		fi
else
    if [ -f /media/sda1/enable_io_test ];
    then
	./SC6D0_FAC_TEST &
    else
	
	./sc6d0 &
	#script -c ./sc6d0 /tmp/log.log &   
    	sleep 2
    	./watchdog &    
	rm /root/hasupdate
	sync;sync;sync;
    fi
fi


./update_server &

# For mobile APP
cp /etc/ver_info /root/var/www/public/fw_version
cp /root/etc/mac.cfg /root/var/www/public/macAddress

# It provide ios to detect device  
./mDNSd &

hostname NVS35
mkdir -p /media/ftp

himm 0x120F0258 0x0



