# Get software version
LOG_FILE="/root/var/www/update.log"
echo "" >> $LOG_FILE
echo "" >> $LOG_FILE
echo "" >> $LOG_FILE
date >> $LOG_FILE

hd_ver=`cat /etc/board_info`
sw_ver=`cat /etc/ver_info`

echo $hd_ver >> $LOG_FILE
echo $sw_ver >> $LOG_FILE


# Check boot image
echo "----- Check boot version -----" >> $LOG_FILE
old_id=`cat /etc/identity_info`
new_id=`cat /root/tmp/identity_info`
echo $old_id >> $LOG_FILE
echo $new_id >> $LOG_FILE

mtd_boot=`cat /proc/mtd | grep boot_logo`
echo $mtd_boot >> LOG_FILE

if [ -z $mtd_boot ]
then 
    echo "Board version (hardware) is too old" >> $LOG_FILE
else 
    /root/sbin/chbootpic /root/tmp/boot_logo.jpg
    echo "Boot image was updated successfully" >> $LOG_FILE
fi


echo "Update data packet ..." >> $LOG_FILE
cp -f /root/tmp/ver_info /etc/
cp -f /root/tmp/identity_info /etc/
cp -f /root/tmp/disk-hotplug.sh /etc/udev/
cp -r /root/tmp/ifplugd /etc/
cp -f /root/tmp/default.script /usr/share/udhcpc/


echo "update wifi packet ..." >> $LOG_FILE
cp /root/tmp/Wireless /etc/ -rf
cp /root/tmp/udhcpd.conf /etc/
cp /root/tmp/iw* /usr/bin/


# Release space of flash
echo "----- Release space of flash -----" >> $LOG_FILE
rm /root/qt/lib/*.a
#rm /root/mcu/*.bin
rm -rf /root/tmp
sleep 1
sync;

# Check mcu version
echo "----- Check mcu version -----" >> $LOG_FILE
mcu_ver=`/root/bin/upaprom -CPTEST 0x12345678 | grep "18 7 20 0"`
echo $mcu_ver >> $LOG_FILE
if [ -z $mcu_ver ]
then                 
    echo "MCU is down, mcu update again" >> $LOG_FILE
    /root/mcu/mcu_update.sh
else                                    
    echo "MCU is Running, nothing to do" >> $LOG_FILE
fi          

# Check Kernel version
echo "----- Check Kernel version -----" >> $LOG_FILE

ker_ver=`uname -a | grep "Wed Jan 17 11:50:09 CST 2018"`
echo $ker_ver >> $LOG_FILE

if [ ${#ker_ver} -ge 1 ]
then
   echo "Kernel version already is latest" >> $LOG_FILE
else
   /root/sbin/chkernel /root/tmp/kernel.img
   echo "kernel was updated successfully" >> $LOG_FILE
   reboot
fi

if [ $old_id -eq $new_id ]
then 
    echo "Id is same" >> $LOG_FILE
else 
    # because boot image was change, reboot again
    echo "Id is different, reboot it" >> $LOG_FILE
    reboot    
fi  



