# Get software version
LOG_FILE="/root/var/www/update.log"
echo "" >> $LOG_FILE
echo "" >> $LOG_FILE
echo "" >> $LOG_FILE
date >> $LOG_FILE

hd_ver=`cat /etc/board_info`
sw_ver=`cat /etc/ver_info`

echo $hd_ver >> $LOG_FILE
echo $sw_ver >> $LOG_FILE


# Check boot image
echo "----- Check boot version -----" >> $LOG_FILE
old_id=`cat /etc/identity_info`
new_id=`cat /root/tmp/identity_info`
echo $old_id >> $LOG_FILE
echo $new_id >> $LOG_FILE

mtd_boot=`cat /proc/mtd | grep boot_logo`
echo $mtd_boot >> LOG_FILE

if [ -z $mtd_boot ]
then 
    echo "Board version (hardware) is too old" >> $LOG_FILE
else 
    /root/sbin/chbootpic /root/tmp/boot_logo.jpg
    echo "Boot image was updated successfully" >> $LOG_FILE
fi

echo "Update data packet ..." >> $LOG_FILE
cp -f /root/tmp/ver_info /etc/
cp -f /root/tmp/identity_info /etc/
cp -f /root/tmp/disk-hotplug.sh /etc/udev/
#cp -f /root/init.sh /backup/init.sh
#echo "update wifi packet ..." >> $LOG_FILE
#cp /root/tmp/Wireless /etc/ -rf
#cp /root/tmp/udhcpd.conf /etc/
#cp /root/tmp/iw* /usr/bin/

# Check Kernel version
echo "----- Check Kernel version -----" >> $LOG_FILE
ker_ver=`uname -a | grep "SMP Fri Jun 19 10:42:05 CST 2020"`
echo $ker_ver >> $LOG_FILE

if [ ${#ker_ver} -ge 1 ]
then
   echo "Kernel version already is latest" >> $LOG_FILE
else
   /root/sbin/chkernel /root/tmp/kernel.img
   echo "kernel was updated successfully" >> $LOG_FILE
   fw_setenv usb_update
   echo "Ready to Reboot" 
  reboot
fi

if [ $old_id -eq $new_id ]
then 
    echo "Id is same" >> $LOG_FILE
else 
    # because boot image was change, reboot again
    echo "Id is different, reboot it" >> $LOG_FILE
    reboot    
fi  

sleep 2

if [ -f /root/tmp/edid/burn_edid ];
then
    /root/bin/hictl --daemon 
    sleep 1
    echo "HDMI input 1 burn edid start"
    /root/bin/hictl --mcu_burn_edid 0 /root/tmp/edid/burn_edid
    killall hictl
    echo "killall hictl"
    
fi

if [ -f /root/tmp/nvs35_new ];
then
    echo "Copy New HW OF NVS35 hictl & init"
    /./root/swap/swap_m031.sh &
elif [ -f /root/tmp/nvs35_old ];
then
    echo "Copy OLD HW OF NVS35 hictl & init"
    /./root/swap/swap_nuc100.sh &
else
    echo " do nothing --- "
fi

# Release space of flash
echo "----- Release space of flash -----" >> $LOG_FILE
rm -rf /root/tmp
sleep 1
sync;

