(function($) {

	skel.breakpoints({
		wide: '(max-width: 1680px)',
		normal: '(max-width: 1280px)',
		narrow: '(max-width: 980px)',
		narrower: '(max-width: 840px)',
		mobile: '(max-width: 736px)',
		mobilep: '(max-width: 480px)'
	});

	$(function() {

		var	$window = $(window),
			$body = $('body');

		// Disable animations/transitions until the page has loaded.
			$body.addClass('is-loading');

			$window.on('load', function() {
				$body.removeClass('is-loading');
			});

		// Fix: Placeholder polyfill.
			$('form').placeholder();

		// Prioritize "important" elements on narrower.
			skel.on('+narrower -narrower', function() {
				$.prioritize(
					'.important\\28 narrower\\29',
					skel.breakpoint('narrower').active
				);
			});

		// Dropdowns.
			$('#nav > ul').dropotron({
				offsetY: -15,
				hoverDelay: 0,
				alignment: 'center'
			});

		// Off-Canvas Navigation.

			// Title Bar.
				$(
					'<div id="titleBar">' +
						'<a href="#navPanel" class="toggle"></a>' +
						 '<span style="color:#fff; padding-left: 10%;">NVS</span>' +
					'</div>'
				)
					.appendTo($body);

			// Navigation Panel.
				$(
					'<div id="navPanel">' +
						'<nav>' +
							$('#nav').navList() +
						'</nav>' +
					'</div>'
				)
					.appendTo($body)
					.panel({
						delay: 500,
						hideOnClick: true,
						hideOnSwipe: true,
						resetScroll: true,
						resetForms: true,
						side: 'left',
						target: $body,
						visibleClass: 'navPanel-visible'
					});

			// Fix: Remove navPanel transitions on WP<10 (poor/buggy performance).
				if (skel.vars.os == 'wp' && skel.vars.osVersion < 10)
					$('#titleBar, #navPanel, #Container-wrapper')
						.css('transition', 'none');

	});

})(jQuery);

// For datavideo
function hideDataVideoMobilePanel() {
	$('body').removeClass("datavideoNavPanel-visible");
}

function showDataVideoMobilePanel() {
	var $body = $('body');
	$(
		'<div id="datavideoNavPanel">' +
		'  <div class="datavideoNavPanel-logo">'+
		'    <a href="#" class="datavideoNavPanel-logo-close" onclick="hideDataVideoMobilePanel();"></a>' +
		'    <img src="images/Content/datavideo-Logo.png" alt="" class="datavideoNavPanel-logo-image" />'+
		'  </div>' +
		'  <nav>' +
		$('#nav').navList() +
		'  </nav>' +
		'</div>'
		).appendTo($body)
	.panel({
		delay: 500,
		hideOnClick: true,
		hideOnSwipe: true,
		resetScroll: true,
		resetForms: true,
		side: 'left',
		target: $body,
		visibleClass: 'datavideoNavPanel-visible'
	});
};
/*
*  Handle datavideo mobile titlebar
*/
function showDataVideoTitleBarWithApply(name) {
	showDataVideoTitleBar(name, true);
}

function showDataVideoTitleBarWithoutApply(name) {
	showDataVideoTitleBar(name, false);
}

function showDataVideoTitleBar(name, withApply) {
	var applyFunction = (withApply?' onclick="doApply();"':'');
	var applyString = (withApply? ' data-localize="apply"' : '' );
	var $body = $('body');
	$(
		'<div style="display: block;">' +
				'<section class="titlebar datavideo"  style="position:fixed; top:0em; z-index: 10002; width:100%; height:2.75em">' +
						'<div class="row fixed datavideo">' +
								'<div style="width:15%; display:table;"><a href="#datavideoNavPanel" style="display: table;height: 2.75em;width: 100%;"><span class="titlebar btn menu datavideo" ></span></a></div>' +
								'<div style="width:70%; display:table;"><span class="titlebar title datavideo" data-localize="' + name + '"></span></div>' +
								'<div style="width:15%; display:table;" ' + applyFunction + '><span class="titlebar btn datavideo"' + applyString + '></span></div>' +
						'</div>' +
				'</section>' +
		'</div>'
	).appendTo($body);
}

function showChannelTabBarWithPGM() {
	showChannelTabBar(true);
}

function showChannelTabBarWithoutPGM() {
	showChannelTabBar(false);
}

function showChannelTabBar(withPGM) {
	var $body = $('body');
	var channelCount = 4;
	if (withPGM) {
		channelCount += 1;
	}
	var widthPercentage = 100 / channelCount;

	var channelSwitchStart =
		'<div><section class="tabbar datavideo" style="position:fixed; top:2.75em; z-index: 1001; width:100%; height:2.75em"><div class="row fixed datavideo">';
	var channelSwitchEnd = '</div></section></div>';
	var channelSwitchString = channelSwitchStart;
	for (var i = 0; i < channelCount; i ++) {
		var widthStr = "width:" + widthPercentage + "%;";
		var channelName = i + 1;
    var channelIdx = i;
		if (withPGM && channelName === channelCount) {
			channelName = "PGM";
      channelIdx = 8;
		}
		var channelSwitchBody =
		'<div style="'+widthStr+'" onclick="onChannelChanged('+channelIdx+')">' +
			'<div id="sourceChannelImg'+channelIdx+'" class="tabbar title datavideo img"></div>'+
			'<div><h3 class="tabbar title datavideo unchecked" style="display:inline-block; letter-spacing: -0.08em" id="sourceChannel'+channelIdx+'">'+channelName+'</h3></div>' +
			'<div id="sourceChannelLine'+channelIdx+'" class="tabbar title datavideo bottomLine unchecked"></div>' +
		'</div>';
		channelSwitchString += channelSwitchBody;
	}
	channelSwitchString += channelSwitchEnd;
	$(channelSwitchString).appendTo($body);

  if (withPGM) {
    getChannelFromCookieWithPGM();
  } else {
    getChannelFromCookieWithoutPGM();
  }
}

function onChannelChanged(channelName) {
  var ch = channelName*1 + 1;
  refreshChannelTabBar(channelName);
  $("#channel"+ch).prop( "checked", true );
  $("#channel"+ch).click();
}

function refreshChannelTabBar(ch) {
  for (var i = 0; i < 4; i++) {
    var nameId = "#sourceChannel" + i;
    var bottomLineId = "#sourceChannelLine" + i;
    $(nameId).toggleClass('unchecked', !(i==ch));
    $(bottomLineId).toggleClass('unchecked', !(i==ch));
  }
  if($("#sourceChannel8"). length) {
    var i = 8;
    var nameId = "#sourceChannel" + i;
    var bottomLineId = "#sourceChannelLine" + i;
    $(nameId).toggleClass('unchecked', !(i==ch));
    $(bottomLineId).toggleClass('unchecked', !(i==ch));
  }
}

function getChannelFromCookieWithPGM() {
  getChannelFromCookie(true);
}

function getChannelFromCookieWithoutPGM() {
  getChannelFromCookie(false);
}

function getChannelFromCookie(withPGM) {
  var ch ;
  if($.cookie("channel")){
    ch = $.cookie("channel");
    if (!withPGM && ch > 4) ch = 0;
  } else {
    ch = 0;
  }
  onChannelChanged(ch);
}


function get_dev_disk_info(){

	console.log("111111111111111");

	var args_id = {
		qcapid   : "53434352514B4352",
		Function : "APP_GET_MK_BOARD_NUMBER",
	}

	_json_service( 0, args_id, callback=function(channel, args_id){

		var args = {
			qcapid   : "53434352514B4352",
			Function : "SYSTEM_GET_BOARD_PROPERTY",
		}
	
		_json_service( 0, args, callback=function(channel, args){

			var boardID = args["BoardID"];

			console.log(" 2021.06.11 get_dev_disk_info boardID is: ", boardID);
			console.log(" 2021.06.11 get_dev_disk_info Return is: ", args_id["Return"]);
	
			if (boardID.search("GB853NVSB_V10") >=0 ){
					//NVS31
					//get_system_disk_info(31);
					_get_system_disk_info();
			}
			else{
	
				if( args_id["Return"] == 2 ){
					//NVS34
					//get_system_disk_info(34);
					_get_system_disk_info();
				}
				else if( args_id["Return"] == 3 ){
					//NVS35
					get_system_disk_info(35);
				}
			}
		});
	});
}



function get_system_disk_info(Dev){

	var argsSD={};	
	var numdisk = 99;
	var Mount_Device_Number = 99;
	argsSD = {
		sessid      : $.cookie("sessid"),
		"Function"  : "APPS_GET_RECORD_STORAGE_STATUS",

	}

	_json_service( 0, argsSD, callback=function( channel, argsSD){

		if( Dev == 35 ){

			numdisk =  argsSD["Current_USB_Disk_Number"];
			
			console.log("APPS_GET_RECORD_STORAGE_STATUS Current_USB_Disk_Number : ", argsSD["Current_USB_Disk_Number"]);

		}
		else{

			numdisk = 0;
		}


		console.log("2021.04.21 !!!!!!!!!!!!! ", numdisk); 


			var args={};
			var cnum,rnum, diskformat, diskstatus, formatnum, statusnum;
				args = {
					sessid      : $.cookie("sessid"),
					"Function"  : "SYSTEM_GET_DISK_INFO",
					"DiskNum"	: numdisk,
				}
		
				_json_service( 0, args, callback=function( channel, args){
		
					if(args["DiskType"]==0 || args["DiskType"]==1){
		
						rnum = args["Partition_1_Remain"]/1024/1024/1024;
						cnum = args["Partition_1_Capacity"]/1024/1024/1024;
						formatnum = args["DiskFormat"];
						statusnum = args["DiskStatus"];
		
						if(formatnum == 0){
		
							diskformat = "FAT-32";
						}
						else if(formatnum == 1){
		
							diskformat = "NTFS";
						}
						else if(formatnum == 2){
		
							diskformat = "EXFAT";
						}
		
						if(statusnum == 0){
		
							if(localStorage.language_type=="jp"){
		
								diskstatus = "ディスクは準備完了";
							}
							else if(localStorage.language_type=="tw"){
		
								diskstatus = "正常，閒置中";
							}
							else if(localStorage.language_type=="zh"){
		
								diskstatus = "正常，闲置中";
							}
							else{
		
								diskstatus = "The Disk is Ready";
							}					
						}
						else if(statusnum == 1){
		
							if(localStorage.language_type=="jp"){
		
								diskstatus = "進行中の作業";
							}
							else if(localStorage.language_type=="tw"){
		
								diskstatus = "資料寫入中";
							}
							else if(localStorage.language_type=="zh"){
		
								diskstatus = "资料写入中";
							}
							else{
		
								diskstatus = "Work in the Progress";
							}				
						}
						else if(statusnum == 2){
		
							if(localStorage.language_type=="jp"){
		
								diskstatus = "ディスク容量不足";
							}
							else if(localStorage.language_type=="tw"){
		
								diskstatus = "空間不足";
							}
							else if(localStorage.language_type=="zh"){
		
								diskstatus = "空间不足";
							}
							else {
		
								diskstatus = "Insufficient Disk Space";
							}				
						}
						else if(statusnum == 3){
						
							if(localStorage.language_type=="jp"){
		
								diskstatus = "フォーマットエラー";
							}
							else if(localStorage.language_type=="tw"){
		
								diskstatus = "硬碟格式不符";
							}
							else if(localStorage.language_type=="zh"){
		
								diskstatus = "硬碟格式不符";
							}
							else {
		
								diskstatus = "Format Error";
							}
						}
		
						if(args["DiskType"]==1){
				
							$("#usb_name").html("DISK "+numdisk);
							$("#usb_size").html("( "+rnum.toFixed(2)+"G / "+cnum.toFixed(2)+"G )");
							$("#usb_format").html(diskformat);
							$("#usb_status").html(diskstatus);
		
						}
						else if(args["DiskType"]==0){
		
							$("#usb_name").html("SATA "+numdisk);
							$("#usb_size").html("( "+rnum.toFixed(2)+"G / "+cnum.toFixed(2)+"G )");
							$("#usb_format").html(diskformat);
							$("#usb_status").html(diskstatus);
						}
					}
					else{
		
						$("#usb_name").html("NA");
						$("#usb_size").html("NA");	
						$("#usb_format").html("NA");	
						$("#usb_status").html("NA");		
					}
				});

		

	});

}







function _get_system_disk_info(){

	var argsSD={};	
	var numdisk = 99;
	argsSD = {
		sessid      : $.cookie("sessid"),
		"Function"  : "APP_CHECH_SD_CARD_STATUS",

	}

	_json_service( 0, argsSD, callback=function( channel, argsSD){

		numdisk =  argsSD["mount_disk_number"];

		console.log("_get_system_disk_info  mount_disk_number is ", numdisk); 

		var args={};
		var cnum,rnum, diskformat, diskstatus, formatnum, statusnum;
			args = {
				sessid      : $.cookie("sessid"),
				"Function"  : "SYSTEM_GET_DISK_INFO",
				"DiskNum"	: numdisk,
			}
	
			_json_service( 0, args, callback=function( channel, args){
	
				if(args["DiskType"]==0 || args["DiskType"]==1){
	
					rnum = args["Partition_1_Remain"]/1024/1024/1024;
					cnum = args["Partition_1_Capacity"]/1024/1024/1024;
					formatnum = args["DiskFormat"];
					statusnum = args["DiskStatus"];
	
					if(formatnum == 0){
	
						diskformat = "FAT-32";
					}
					else if(formatnum == 1){
	
						diskformat = "NTFS";
					}
					else if(formatnum == 2){
	
						diskformat = "EXFAT";
					}
	
					if(statusnum == 0){
	
						if(localStorage.language_type=="jp"){
	
							diskstatus = "ディスクは準備完了";
						}
						else if(localStorage.language_type=="tw"){
	
							diskstatus = "正常，閒置中";
						}
						else if(localStorage.language_type=="zh"){
	
							diskstatus = "正常，闲置中";
						}
						else{
	
							diskstatus = "The Disk is Ready";
						}					
					}
					else if(statusnum == 1){
	
						if(localStorage.language_type=="jp"){
	
							diskstatus = "進行中の作業";
						}
						else if(localStorage.language_type=="tw"){
	
							diskstatus = "資料寫入中";
						}
						else if(localStorage.language_type=="zh"){
	
							diskstatus = "资料写入中";
						}
						else{
	
							diskstatus = "Work in the Progress";
						}				
					}
					else if(statusnum == 2){
	
						if(localStorage.language_type=="jp"){
	
							diskstatus = "ディスク容量不足";
						}
						else if(localStorage.language_type=="tw"){
	
							diskstatus = "空間不足";
						}
						else if(localStorage.language_type=="zh"){
	
							diskstatus = "空间不足";
						}
						else {
	
							diskstatus = "Insufficient Disk Space";
						}				
					}
					else if(statusnum == 3){
					
						if(localStorage.language_type=="jp"){
	
							diskstatus = "フォーマットエラー";
						}
						else if(localStorage.language_type=="tw"){
	
							diskstatus = "硬碟格式不符";
						}
						else if(localStorage.language_type=="zh"){
	
							diskstatus = "硬碟格式不符";
						}
						else {
	
							diskstatus = "Format Error";
						}
					}
	
					if(args["DiskType"]==1){
			
						$("#usb_name").html("DISK "+numdisk);
						$("#usb_size").html("( "+rnum.toFixed(2)+"G / "+cnum.toFixed(2)+"G )");
						$("#usb_format").html(diskformat);
						$("#usb_status").html(diskstatus);
	
					}
					else if(args["DiskType"]==0){
	
						$("#usb_name").html("SATA "+numdisk);
						$("#usb_size").html("( "+rnum.toFixed(2)+"G / "+cnum.toFixed(2)+"G )");
						$("#usb_format").html(diskformat);
						$("#usb_status").html(diskstatus);
					}
				}
				else{
	
					$("#usb_name").html("NA");
					$("#usb_size").html("NA");	
					$("#usb_format").html("NA");	
					$("#usb_status").html("NA");		
				}
			});
	});

}
